<?php 
require_once "../modelos/Tasadecambio.php";
if (strlen(session_id())<1) 
	session_start();

$tasadecambio     = new tasadecambio();

$idtasadecambio   = isset($_POST["idtasadecambio"])? limpiarCadena($_POST["idtasadecambio"]):"";
$nombre           = isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$tasa_dollar      = isset($_POST["tasa_dollar"])? limpiarCadena($_POST["tasa_dollar"]):"";
$fecha			  = isset($_POST["fecha"])? limpiarCadena($_POST["fecha"]):"";
$idusuario		  = isset($_POST["idusuario"])?$_SESSION["idusuario"]:"1";

switch ($_GET["op"]) {
	case 'guardaryeditar':
    if (empty($idtasadecambio)) {
      $rspta=$tasadecambio->insertar($idusuario,$tasa_dollar);
      echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
    }else{
      $rspta=$tasadecambio->editar($idtasadecambio,$idusuario,$tasa_dollar);
      echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
    }
	break;
	

	case 'desactivar':
		$rspta=$tasadecambio->desactivar($idtasadecambio);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;

	case 'activar':
		$rspta=$tasadecambio->activar($idtasadecambio);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta=$tasadecambio->mostrar($idtasadecambio);
		echo json_encode($rspta);
	break;

  case 'listar':
		$rspta=$tasadecambio->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						/* "0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idtasadecambio.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idtasadecambio.')">
						<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idtasadecambio.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idtasadecambio.')">
						<i class="fa fa-check"></i></button>', 
						'<div align="center">'.date("d-m-Y", strtotime($reg->fecha)).'</div>',
						*/
						"0"=>($reg->tasahoy)?'<div align="center"><button class="btn btn-warning btn-xs"onclick="mostrar('.$reg->idtasadecambio.')"><i class="fa fa-pencil"></i></div>':
						'<div align="center"><button class="btn btn-default btn-xs"><i class="fa fa-ban"></i></button></div>',
            "1"=>'<div align="center">'.$reg->fecha1.'</div>',
            "2"=>'<div align="center">'.$reg->usuario.'</div>',
            "3"=>'<div align="center">'.$reg->tasa_dollar.'</div>',
            "4"=>($reg->condicion)?'<div align="center"><span class="badge bg-green">Activado</span></div>':'<div align="center"><span class="badge bg-red">Desactivado</span></div>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'buscarfecha':
		$verificado	=	0;
		$rspta			=	$tasadecambio->buscarfecha($fecha);
		$reg				= $rspta->fetch_object();
		if (isset($reg)) {
			$verificado=1;
		}
		echo $verificado;
	break;

	case 'buscartasadeldia':
		$rspta=$tasadecambio->buscartasadeldia();
		echo json_encode($rspta);
	break;
}
 ?>